ReferenceCommands

Update Mission

Revise the brief, status, or offer assignment of an existing mission.

missionsmutateallow
Update Mission

Revise the brief, status, or offer assignment of an existing mission.

When to use

Use this when the mission strategy changes and you need to refine targeting, messaging instructions, lifecycle status, or linked offer without recreating it.

Output notes

  • Responses default to `full` mode through the public API and CLI.
  • Use `compact` only when token savings matter more than prospecting quality. It can noticeably reduce prospecting quality.

Output schema

json
{
  "type": "object",
  "properties": {
    "mission": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "status": {
          "type": "string",
          "enum": [
            "active",
            "archived"
          ]
        },
        "stats": {
          "type": "object",
          "properties": {
            "leads": {
              "type": "integer"
            },
            "contacted": {
              "type": "integer"
            },
            "replied": {
              "type": "integer"
            }
          },
          "required": [
            "leads",
            "contacted",
            "replied"
          ],
          "additionalProperties": false
        },
        "updated_at": {
          "type": "string",
          "format": "date-time"
        },
        "brief": {
          "type": "object",
          "properties": {
            "description": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "target_audience": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "desired_action": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "cta_url": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "tone_instructions": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "example_messages": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "offer_id": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "offer_name": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "offer_summary": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "offer_landing_page_url": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "required": [
            "description",
            "target_audience",
            "desired_action",
            "cta_url",
            "tone_instructions",
            "example_messages",
            "offer_id",
            "offer_name",
            "offer_summary",
            "offer_landing_page_url"
          ],
          "additionalProperties": false
        },
        "imports": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "import_id": {
                "type": "string"
              },
              "type": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "date": {
                "type": "string",
                "format": "date-time"
              },
              "count": {
                "type": "integer"
              },
              "created_count": {
                "type": "integer"
              },
              "skipped_count": {
                "type": "integer"
              },
              "invalid_count": {
                "type": "integer"
              },
              "source_url": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "context": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              }
            },
            "required": [
              "import_id",
              "type",
              "name",
              "date",
              "count",
              "created_count",
              "skipped_count",
              "invalid_count",
              "source_url",
              "context"
            ],
            "additionalProperties": false
          }
        }
      },
      "required": [
        "id",
        "name",
        "status",
        "stats",
        "updated_at",
        "brief",
        "imports"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "mission"
  ],
  "additionalProperties": false
}

CLI

bash
salestouch commands run mission.update --input-json '{"mission_id":"<string>"}' --json

Payload

json
{
  "mission_id": "<string>"
}

Runtime Command

mission.update is exposed through the shared SalesTouch runtime and stays available across API, CLI and MCP.

HTTP Reference

POST
/api/v1/commands/{commandId}

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer <salestouch_api_key>.

In: header

Path Parameters

commandId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://www.salestouch.io/api/v1/commands/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "ok": true,
  "status": 0,
  "data": {},
  "error": {
    "code": "string",
    "message": "string"
  },
  "meta": {
    "approval_required": true,
    "approval_request_id": "string",
    "command_hash": "string",
    "warnings": [
      "string"
    ]
  }
}
{
  "ok": true,
  "status": 0,
  "data": {},
  "error": {
    "code": "string",
    "message": "string"
  },
  "meta": {
    "approval_required": true,
    "approval_request_id": "string",
    "command_hash": "string",
    "warnings": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "ok": true,
  "status": 0,
  "data": {},
  "error": {
    "code": "string",
    "message": "string"
  },
  "meta": {
    "approval_required": true,
    "approval_request_id": "string",
    "command_hash": "string",
    "warnings": [
      "string"
    ]
  }
}
{
  "ok": true,
  "status": 0,
  "data": {},
  "error": {
    "code": "string",
    "message": "string"
  },
  "meta": {
    "approval_required": true,
    "approval_request_id": "string",
    "command_hash": "string",
    "warnings": [
      "string"
    ]
  }
}
{
  "ok": true,
  "status": 0,
  "data": {},
  "error": {
    "code": "string",
    "message": "string"
  },
  "meta": {
    "approval_required": true,
    "approval_request_id": "string",
    "command_hash": "string",
    "warnings": [
      "string"
    ]
  }
}

Schema Reference

GET
/api/v1/commands/{commandId}/schema

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer <salestouch_api_key>.

In: header

Path Parameters

commandId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://www.salestouch.io/api/v1/commands/string/schema"
{
  "data": {
    "command": {
      "command_id": "string",
      "title": "string",
      "description": "string",
      "summary": "string",
      "visibility": "public",
      "risk": "read",
      "category": "linkedin",
      "default_permission": "allow",
      "when_to_use": "string",
      "risk_notes": [
        "string"
      ],
      "output_notes": [
        "string"
      ],
      "related_commands": [
        "string"
      ],
      "related_resources": [
        "string"
      ],
      "examples": [
        {
          "title": "string",
          "language": "string",
          "code": "string"
        }
      ],
      "input_schema": {},
      "output_schema": {},
      "approval_output_schema": {}
    }
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}

On this page